Package org.eclipse.draw2d

# Class RoutingListener.Stub

java.lang.Object
org.eclipse.draw2d.RoutingListener.Stub

All Implemented Interfaces:
  `RoutingListener`

Enclosing interface:
  `RoutingListener`

public static class RoutingListener.Stub extends Object implements RoutingListener
A stub implementation which implements all required methods.

Since:
  3.2

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.draw2d.RoutingListener

`RoutingListener.Stub`

## Constructor Summary

Constructors
Constructor
Description
`Stub()`

## Method Summary

Modifier and Type
Method
Description
`void`
`invalidate(Connection connection)`
Called when the connection has been invalidated.
`void`
`postRoute(Connection connection)`
Called after normal routing has completed.
`void`
`remove(Connection connection)`
Called when a connection has been removed from its router.
`boolean`
`route(Connection connection)`
Called prior to routing occurring.
`void`
`setConstraint(Connection connection, Object constraint)`
Called when the connection's routing constraint has been set or initialized.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Stub

public Stub()

## Method Details

### invalidate

public void invalidate(Connection connection)
Description copied from interface: `RoutingListener`
Called when the connection has been invalidated.

Specified by:
  `invalidate` in interface `RoutingListener`
Parameters:
  `connection` - the connection

### postRoute

public void postRoute(Connection connection)
Description copied from interface: `RoutingListener`
Called after normal routing has completed.

Specified by:
  `postRoute` in interface `RoutingListener`
Parameters:
  `connection` - the routed connection

### remove

public void remove(Connection connection)
Description copied from interface: `RoutingListener`
Called when a connection has been removed from its router.

Specified by:
  `remove` in interface `RoutingListener`
Parameters:
  `connection` - the connection

### route

public boolean route(Connection connection)
Description copied from interface: `RoutingListener`
Called prior to routing occurring. A listener may intercept routing by returning `true`. If intercepted, the connection's `ConnectionRouter` will not perform routing.

Specified by:
  `route` in interface `RoutingListener`
Parameters:
  `connection` - the connection being routed
Returns:
  `true` if routing has been performed by the listener

### setConstraint

public void setConstraint(Connection connection, Object constraint)
Description copied from interface: `RoutingListener`
Called when the connection's routing constraint has been set or initialized.

Specified by:
  `setConstraint` in interface `RoutingListener`
Parameters:
  `connection` - the connection
  `constraint` - the new constraint